Точност при чертане (Tangent и Apparent Intersection)

Безплатни 20 урока
регистрирай се и научи

Ако сте вече потребител - Регистриран съм
Видео

Въпроси и отговори

  • Антон Петров Петров:

    Как да начертаем само тангенти между 2 различни кръга, разположени близко един до друг

    Иван Цукев:

    @Антон

    за да съм сигурен, че те разбирам, може да ми изпратиш dwg файл с пример и да разгледаме този случай в модула с въпроси и отговори.

    инж. Тодор Илиев:

    @ Антон, след начертаването на окръжностите изключваш всички прилепвания и оставяш само "Tangent". Пускаш команда за линия и спокойно се изчертават и четирите - двете външни тангенти и двете вътрешни, които се пресичат.  Поне при мен в 2000 и 2014 няма никакъв проблем.Направих го дори с твоя пример за 10-сантиметровата отсечка и двете окръжности - 7 и 2 сантиметра. Исках да го сложа с Print Screen тук, но нещо не ми се получи.

  • Как да построя тангента към окръжности?

    Антон Петров Петров:

    Към същия въпрос... Да речем, че имаме отсечка 10см и в двата и края са изписани 2 окръжности съответно с радиуси 7см и 2 см (краищата на отсечката са центрове на окръжностите). След като включим прилепванията, те отразяват тангенти само ако имаме зададена линия към окръжностите. Но когато искаме да изчертаем например всички възможни тангенти между тези 2 окръжности, трябва да имаме начална точка за линията, която ще играе ролята на тангента. В случая имаме тангента между 2 кръга с неизвестна начална точка, тъй като това е тангента между кръговете, на които на на нито единия, нито на другия можем да определим точката на тангетиране на правата с всяка окръжност. Това може да се направи със по сложни геометрични помощни построения, но предполагам, че има лесен начин за изчертаване на тангентите.

    Иван Цукев:

    @Антон

    Щом въпросът е кой е най-бързият метод. Отговорът е чрез лисп програмката по-долу. Пуска се командата TANGENT_LINE и се избират двата кръга, тогава програмата чертае тангентите.

    В случай, че не знаеш как се зареждат и използват лисп програми, разглеждаме това в седмица 7, така че малко търпение до тогава.

    (defun c:TANGENT_LINE (/ OSMODE_0 Pt01 Pt02 Entity1) (setq OSMODE_0 (getvar "osmode")) (setvar "osmode" 512) (setq Pt01 (getpoint "Select 1st point on a circle: ") Pt02 (getpoint "Select 2nd point on another circle: ") ); end of setq (if (/= PEDITACCEPT 1) (setvar "PEDITACCEPT" 1)) (command "._line" "_tan" Pt01 "_tan" Pt02 "") (setq Entity1 (entlast)) (command "._pedit" Entity1 "e" "exit" "") (setvar "osmode" OSMODE_0) (princ) ); end of program

    Кирил Николаев:

    Антоне, защо просто не включиш само прилепването за тангента, стартираш командата линия и последователно натискаш върху двете окръжности. С малко игра ще уцелиш къде да натиснеш така, че да получиш и 4-те възможни тангенти за двата кръга.

    Денислав Делев:

    @Антон , @Иван, @Кирил Най-лесно става с клавиша Shift. Пускаш командата за линия и ПРЕДИ да си избрал 1-ва точка натискаш Shift и десен клик на мишката. Излиза ти меню, от което избираш "Tangent" и кликваш върху едната окръжност. За 2-та точка повтаряш или продължаваш по начина във видеото. Постоянно ми се налага да правя допирателни между 2 окръжности :-) Предполагам с лисп може да е още по-бързо, но лично аз не съм много на вътре при тях и инстинктивно ги избягвам

    Божидар:

    същото се получава и при включено прилепване(само то) tangent от Osnap

  • Петрунка Iwanowa Хубанова:

    Във връзка с прилепванията мисля, че по-бързо става ако всички прилепвания са включени, а когато AutoCad не може да намери исканата от нас точка защото те са много, с Shift и десен бутон отваряме прилепванията и посочваме това, което искаме. Тогава AutoCad избира това прилепване, което сме посочили. Тогава не ходим да включваме и изключваме тези прилепвания, които ни трябват. Поне на мен така ми е по-бързо.

    инж. Константин Жипонов:

    Когато имаме няколко точки за прилепване, може да се получи объркване и да се прилепим не където трябва. Хубаво е да се "засветват" само точките към които искаме да се прилепим.

    инж. Тодор Илиев:

    В такъв случай използвам бутона Таб (двете стрелки над Caps Lock). При позициониране на мишката и неговото натискане програмата "обхожда" най-близките обекти (линии, окръжности и т.н. ), "засветява ги" и показва върху тях какво е избрала - крайна точка, средна точка, квадрант, пресечна точка ... и така чукам, докато избере това, което ми трябва. Другото е със бутона "Z" и  "интервал". И от време-навреме "RE" и интервал, т.е. регенерирам. Това поне е лесно, тъй като бутоните "R" и "Е" са един до друг. Увеличавам и регенерирам, докато видя ясно къде точно трябва да ми прилепне.

  • Петрунка Iwanowa Хубанова:

    Извинете! Мисля,че предният коментар не трябваше да го правя тук, а на предното видео 6. Ако можете да го преместите там където му е мястото, ако и Вие смятате това.

    Иван Цукев:

    @Петрунка,

    Благодаря за коментара, но просто софтуера не разрешава да се местят коментари, мога само да ги трия :)

    инж. Юлиан Ангелов:

    Добре ще е към коментарите да прикрепяте дата от кога са. Бах прочел, че Аула оставя форума достъпен и без абонамент и това наистина е добре и благодарим, но наличието на дата на коментарите би позволило при едно по- късно преглеждане да се ориентираме лесно кои са новите и да не прехвърляме стари и четени.

  • Васил:

    Васил Попов: Можем ли да продължим линия, която е продължение на адна от страните на квадрат или правоъгълник?

    Иван Цукев:

    Без проблем, само трябва да е включена отметката на "extention" при прилепванията.

    Хваща се точката без да се кликва на нея и визуално се мърда мишката, за да продължи линията. Аутокад ще се прихване и ще фиксира продължението.

  • Каква е разликата между Intersection и Apparent Intersection?

    Румяна Русева:

    За последната линия на чертежа от упражнението
    използвах Endpoint, Extension и Intersection и се получи.

    Краси Кръстев:

    Здравей, основната разлика между двете е в това че при Intersection прилепването се използва когато искам да стартирам ( завърша ) обект в точка която е пресечена между два обекта ( в случая на снимакта са две линии, които реално (физически ) се пресичат ( позиция 1 на снимката ). Докато използвайки Apparent Intersection ( в повечето случай се използва в комбинация с други прилепвания ) двете линии ( позиция 2 на снимката ) не се пресичат реално ( физически ), но пускайки Apparent Intersection + Extension и доближавайки се с мишката до двете линии то Аpparent Intersection ни показва предполагаемото пресичане на тези две линии и така аз мога да започна изчертаването на моя нов обект от тази точка на пресичане ( но пак подчертаввам самите линии не се пресичат физически ).Надявам се да съм бил полезен с този прост пример , но смятам че най - точно описва разликата между двете.

    Иван Цукев:

    Intersection се използва, когато имаме две линии, които се пресичат.


    Apparent Inersection се използва, когато двете линии се пресичат ако визуално ги продължим.

    Като се избере Apparent Intersection трябва да се избере първо единия обект, след това втория. Например в случая ако искаме да направим кръг при двете линии отдясно, като центърът е в точката, която е продължение на лявата линия, можем да използваме Apparent Intersection.


    Румяна Русева:

    Благодаря за отговорите!

  • Как да премествам използвайки "ръчичката" без да включвам всеки път PAN

    Ралица Атанасова:

     тъй като при Вас сякаш е по подразбиране стига да няма команда за чертане примерно?

    Краси Кръстев:

    Здравей, може да преместваш с "ръчичката" като натиснеш и задържиш scroll бутона на мишката, така се появява "ръчичката" и съответно задържайки натиснат scroll - а може да преместваш.

  • Как да начертаем тангента към окръжност?

    Петя:

    Защо при изчертавне на тангента към дадена окръжност, при зумване се вижда, че няма обща точка между тангентата и окръжността?

    Краси Кръстев:

    Здравей, това се получава тъй като AutoCAD при голям zoom не " регенерира " ( не се обновява ).На снимка 1 съм показал когато съм zoom - нал към обектите че те все едно не се допират ами са две линии които са далече една от друга. След това в комадния ред изписвам REGENALL , след това enter ( space ) и се получава ситуацията позаказана на снимка 2 ( без да съм правил каквъто и да било zoom out/in ).Тоест след рефреша нещата изглеждат доста по достоверни.Надявам се да съм бил полезен с отговора.

    Петя:

    Благодаря за отговора


  • Как да си запазя кръга кръгъл

    Женя Иванова Желязкова:

    Здравейте,

    тръбата ми, която е по принцип кръгла след известно време се самопревръща в осмоъгълник. Как се прави така юе да се запази кръга. Нещо със Smooth ли трябва да се направи и как?

    Георги Табаков:

    Това на ACAD ли е или Civil 3D? За Civil 3D, ако е напречен профил вижте уроците от Бонус Модул 9.

    Георги Табаков:

    В ACAD пробвай с командата REGEN.

    Николай Николов:

    Кръга си е кръгъл, само така изглежда на екрана. Имаше някаква команда с която се задаваше фигурите да изглеждат както са си, но забавяше скороста на работа. Иначе с REGEN нещата се оправят.